%  butterworth lowpass frequency-domain filter 
clear 
x=[86   90   98   99   83   88   96   55;
   94   82   93  101   92   83   91   67;
   95   89   95   92   80   80   75   81;
   96   94   99   91  101  124  105   70;
   96   89  103   90   84  133   95   73;
   98   81   98  100   92   98   93   63;
   93   92   90   95   70   46   77   56;
   81   80   80   61   86   97   55   61 ] % input
x=double(x);
%
n=1; % order of the filter
fc=4; % cutoff frequency
lp_filt=butter_lp(x,fc,n) % call filter function
X=fft2(x); % 2-D DFT of the input
xout=real(ifft2(X.*fftshift(lp_filt))); % filtered output


