% 8x8 2-DFT row-column method
x=[-2, -2, -3, -3, -3,  3,  5,  4;
 -1, -3,  0,  1,  4,  3,  4,  4;
  2,  5,  3,  2,  1,  0, -1,  2;
  1,  2,  3,  3,  2,  2, -6,  6;
  2, -1,  1,  2,  2,  1, -4,  3;
  2, -1, -2, -2,  1, -1, -1, -2;
  2, -2, -5, -3, -1,  1,  0, -2;
  2, -2, -6, -2, -1,  2,  0,  1 ]; % input
%
[r,c]=size(x);
X=complex(zeros(r,c));
for k=1:r
    X(k,1:c)=fft(x(k,1:c));
end
X
for k=1:c
    X(1:r,k)=fft(X(1:r,k));
end
X
Xs=fftshift(abs(X)) % magnitude, center-zero
log10(1+Xs) % log scale 
   



